<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/webwork" prefix="ww" %>

<html>
<head>
    <title>
        <ww:property value="getText('principal.remove.title')"/>
    </title>
    <meta name="section" content="users"/>
    <meta name="pagename" content="removeuser"/>
    <meta name="help.url" content="<ww:property value="getText('help.user.remove')"/>"/>
</head>
<body>

<div class="crowdForm">

    <div class="formTitle">
        <h2>
            <ww:property value="getText('principal.remove.title')"/>
            &nbsp;&ndash;&nbsp;
            <ww:property value="name"/>
        </h2>
    </div>

    <div class="formBody">
        <ww:component template="form_messages.jsp"/>

        <ww:component template="form_row.jsp">
            <ww:param name="warning" value="getText('principal.remove.text')"/>
            <ww:param name="label" value="getText('principal.name.label')"/>
            <ww:param name="value">
                <ww:property value="principal.name"/>
            </ww:param>
        </ww:component>

        <ww:component template="form_row.jsp">
            <ww:param name="label" value="getText('group.directory.label')"/>
            <ww:param name="value">
                <ww:property value="directory.name"/>
            </ww:param>
            <ww:param name="description">
                <ww:property value="directory.description"/>
            </ww:param>
        </ww:component>
    </div>
    <div class="formFooter wizardFooter">

        <div class="buttons">

            <ww:if test="!currentUser">
                <form name="remove-user-form" method="post" action="<ww:url namespace="/console/secure/user" action="remove" method="update" includeParams="none" />">

                    <input type="hidden" name="directoryID" value="<ww:property value="directoryID" />"/>
                    <input type="hidden" name="name" value="<ww:property value="name" />"/>

                    <input type="submit" class="button" value="<ww:property value="getText('continue.label')"/> &raquo;"/>
                    <input type="button" class="button" value="<ww:property value="getText('cancel.label')"/>"
                           onClick="window.location='<ww:url namespace="/console/secure/user" action="view" method="default" includeParams="none"><ww:param name="directoryID" value="directoryID" /><ww:param name="name" value="name" /></ww:url>';"/>
                </form>
            </ww:if>

        </div>

    </div>


</div>

</body>
</html>